/**************************************************************************
 
 	level.h
 
  	Project: RockBlast an asteroid game. 
 
	Copyright (c) Febuary 2001 Garett Spencley
 
   	This program is free software; you can redistribute it and/or modify
   	it under the terms of the GNU General Public License as published by
   	the Free Software Foundation; either version 2, or (at your option)
   	any later version.

   	This program is distributed in the hope that it will be useful,
   	but WITHOUT ANY WARRANTY; without even the implied warranty of
   	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   	GNU General Public License for more details.

   	You should have received a copy of the GNU General Public License
   	along with this program; if not, write to the Free Software Foundation,
   	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

****************************************************************************/

#ifndef __LEVEL_H__
#define __LEVEL_H__

#include "rockblast.h"
#include "paddle.h"
#include "asteroid.h"

#define NUM_ASTEROIDS 100

extern paddle_t paddle;
extern asteroid_t asteroids[NUM_ASTEROIDS];
extern float speed_level;
extern int difficulty_level;

void free_level();
bool init_level();
bool load_level();
void run_level();
void next_level();

bool init_level_meter();
void free_level_meter();

#endif
