/**************************************************************************
 
 	score.h
 
  	Project: RockBlast an asteroid game. 
 
	Copyright (c) Febuary 2001 Garett Spencley
 
   	This program is free software; you can redistribute it and/or modify
   	it under the terms of the GNU General Public License as published by
   	the Free Software Foundation; either version 2, or (at your option)
   	any later version.

   	This program is distributed in the hope that it will be useful,
   	but WITHOUT ANY WARRANTY; without even the implied warranty of
   	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   	GNU General Public License for more details.

   	You should have received a copy of the GNU General Public License
   	along with this program; if not, write to the Free Software Foundation,
   	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

****************************************************************************/

#ifndef __SCORE_H__
#define __SCORE_H__

#include "rockblast.h"

#define MAX_DIGITS 6
#define MAX_SCORE  999999

bool init_score();
void reset_score();
void free_score();
bool load_score();
void draw_score();
void erase_score();
void change_score(int);
void add_score(unsigned int);
void sub_score(unsigned int);

#endif
