/**************************************************************************
 
 	ball.h
 
  	Project: RockBlast an asteroid game. 
 
	Copyright (c) Febuary 2001 Garett Spencley
 
   	This program is free software; you can redistribute it and/or modify
   	it under the terms of the GNU General Public License as published by
   	the Free Software Foundation; either version 2, or (at your option)
   	any later version.

   	This program is distributed in the hope that it will be useful,
   	but WITHOUT ANY WARRANTY; without even the implied warranty of
   	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   	GNU General Public License for more details.

   	You should have received a copy of the GNU General Public License
   	along with this program; if not, write to the Free Software Foundation,
   	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

****************************************************************************/

#ifndef __BALL_H__
#define __BALL_H__

#include "rockblast.h"
#include "video.h"

typedef struct {
	bool moving;
	int remaining;
	int dx;
	int dy;
	object obj;	
} ball_t;

#define MAX_BALL_SPEED 9.0

void move_ball(ball_t *);
void kill_ball(ball_t *);
inline void draw_ball(ball_t *);
inline void erase_ball(ball_t *);

#endif
