/**************************************************************************
 
 	rockblast.h
 
  	Project: RockBlast an asteroid game. 
 
	Copyright (c) Febuary 2001 Garett Spencley
 
   	This program is free software; you can redistribute it and/or modify
   	it under the terms of the GNU General Public License as published by
   	the Free Software Foundation; either version 2, or (at your option)
   	any later version.

   	This program is distributed in the hope that it will be useful,
   	but WITHOUT ANY WARRANTY; without even the implied warranty of
   	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   	GNU General Public License for more details.

   	You should have received a copy of the GNU General Public License
   	along with this program; if not, write to the Free Software Foundation,
   	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

****************************************************************************/

#ifndef __ROCK_BLAST__
#define __ROCK_BLAST__

#include "SDL.h"

#ifndef __cplusplus
typedef enum { false, true } bool;

#ifndef __GNUC__
#define inline
#else
#ifndef WIN32
#define inline __inline
#endif
#endif

#endif

/* Util stuff */

#define ARRAYSIZE(a) (sizeof(a) / sizeof((a)[0]))

/* Data stuff */

#ifndef DATADIR
#define DATADIR "data"
#endif

#define DATAFILE(X) DATADIR "/" X

/* Version stuff */

#define RB_VERSION_MINOR "0"
#define RB_VERSION_MAJOR "10"
#define RB_VERSION_STRING RB_VERSION_MINOR "." RB_VERSION_MAJOR

#define RB_APP_TITLE "Rock Blast " RB_VERSION_STRING

extern bool QUIT;
extern bool GAME_OVER;

inline char *data_file(char *);
void flush_event_queue(void);

#endif
